<template>
  <!--搜索区块（Banner）-无轮播（中）-->
  <div>
    <div class="banner-style6 desktop-only" :style="{backgroundImage:`url('${plugData.Details[0].ImageUrl}')`}"
      @click="clickSlideHandler(plugData.Details[0].LinkUrl)"></div>
    <div class="banner-style6 mobile-only"
      :style="{paddingBottom:'80%',backgroundImage:`url('${plugData.Details[0].ImageUrl}')`}"
      @click="clickSlideHandler(plugData.Details[0].LinkUrl)"></div>
  </div>
</template>

<script>
  //搜索区块（Banner）-无轮播（中）
  import popup from "../props/index";
  export default {
    props: ["plugData"],
    components: {
      popup
    },
    data() {
      return {
        slide: 0,
      };
    },
    mounted() {
      this.$root.$emit("change-head-style", 2);
    },
    methods: {
      clickSlideHandler(url) {
        if (url && url.length > 1) {
          this.OpenNewUrl(url);
        }
      }
    }
  };

</script>

<style>
  .banner-style6 {
    margin-top: -60px;
    width: 100%;
    background-color: #f1f1f1;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    padding-bottom: 25%;
  }

</style>
